Name:          samba
Version:       4.21.1
Release:       2mamba
Summary:       Samba provides seamless file and print services to SMB/CIFS clients
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.samba.org
Source0:       http://us1.samba.org/samba/ftp/stable/samba-%{version}.tar.gz
Source1:       samba.sysusers
Source2:       samba-server.sysusers
Source13:      winbind-nm-dispatcher
Patch0:        samba-4.9.4-conf-idmap.patch
Patch1:        samba-4.19.4-conf-enable-usershares.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libacl-devel
BuildRequires: libarchive-devel
BuildRequires: libavahi-devel
BuildRequires: libbsd-devel
BuildRequires: libcap-devel
BuildRequires: libcups-devel
BuildRequires: libdbus-devel
BuildRequires: libgamin-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpgme-devel
BuildRequires: libicu-devel
BuildRequires: libjansson-devel
BuildRequires: libkeyutils-devel
BuildRequires: liblmdb-devel
BuildRequires: liblttng-ust-devel
BuildRequires: libncurses-devel
BuildRequires: libnscd-devel
BuildRequires: libopenldap-devel
BuildRequires: libpam-devel
BuildRequires: libpopt-devel
BuildRequires: libpython3-devel
BuildRequires: libpython311-devel
BuildRequires: libreadline-devel
BuildRequires: libsystemd-devel
BuildRequires: libtalloc-devel
BuildRequires: libtasn1-devel
BuildRequires: libtdb-devel
BuildRequires: libtevent-devel
BuildRequires: libtirpc-devel
BuildRequires: libxcrypt-devel
BuildRequires: libz-devel
BuildRequires: setup
## AUTOBUILDREQ-END
BuildRequires: libopenssl-devel
BuildRequires: python-dnspython-py3
BuildRequires: python-tevent
BuildRequires: perl-Parse-Yapp
BuildRequires: valgrind
Requires:      perl
Requires:      pam >= 0.78-10
Requires:      perl-Unicode-MapUTF8
Requires(pre): setup
Requires(post):libwbclient = %{?epoch:%epoch:}%{version}-%{release}
Requires(post):lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      cifs-utils
Requires:      python-tevent
Requires:      python-dnspython-py3
Obsoletes:     samba-common < 4.14.4
Obsoletes:     ldb <= 1:2.9.1-1mamba
%systemd_requires

%description
Samba is an Open Source/Free Software suite that provides seamless file and print services to SMB/CIFS clients.

%package server
Group:         System/Servers
Summary:       Samba server files
Requires:      samba = %{?epoch:%epoch:}%{version}-%{release}
Requires:      cups

%description server
Samba provides seamless file and print services to SMB/CIFS clients.
This package contains the server files.

%package -n samba4-server
Group:         System/Servers
Summary:       Samba 4 server files
Requires:      samba = %{?epoch:%epoch:}%{version}-%{release}

%description -n samba4-server
Samba provides seamless file and print services to SMB/CIFS clients.
This package contains the Samba 4 server files.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Samba 4 libraries
Obsoletes:     libldb <= 1:2.9.1-1mamba

%description -n lib%{name}
Samba provides seamless file and print services to SMB/CIFS clients.
This package contains Samba 4 library files.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Devel Samba 4 server files
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libldb-devel <= 1:2.9.1-1mamba

%description -n lib%{name}-devel
Samba provides seamless file and print services to SMB/CIFS clients.
This package contains Samba 4 development files.

%package -n libsmbclient
Group:         System/Libraries
Summary:       Client library for accessing to SMB/CIFS shares

%description -n libsmbclient
Client library for accessing to SMB/CIFS shares.

%package -n libsmbclient-devel
Group:         Development/Libraries
Summary:       Devel files for libsmbclient
Requires:      libsmbclient = %{?epoch:%epoch:}%{version}-%{release}

%description -n libsmbclient-devel
Client library for accessing to SMB/CIFS shares.
This package contains the development files.

%package -n libsmbsharemodes
Group:         System/Libraries
Summary:       Samba smbsharemodes Library

%description -n libsmbsharemodes
This package includes the smbsharemodes library.

%package -n libsmbsharemodes-devel
Group:         Development/Libraries
Summary:       Devel files for smbsharemodes
Requires:      libsmbsharemodes = %{?epoch:%epoch:}%{version}-%{release}

%description -n libsmbsharemodes-devel
The smbsharemodes library.
This package contains the development files.

%package -n libnetapi
Group:         System/Libraries
Summary:       Client library for accessing to SAMBA network API

%description -n libnetapi
Client library for accessing to SAMBA network API.

%package -n libnetapi-devel
Group:         System/Libraries
Summary:       A library for accessing SAMBA network API
Requires:      libnetapi = %{?epoch:%epoch:}%{version}-%{release}

%description -n libnetapi-devel
A library for accessing SAMBA network API.
This package contains the development files.

%package -n libtdb
Group:         System/Libraries
Summary:       Samba tdb library

%description -n libtdb
Samba tdb library.

%package -n libtdb-devel
Group:         System/Libraries
Summary:       Development files for Samba tdb library
Requires:      libtdb = %{?epoch:%epoch:}%{version}-%{release}

%description -n libtdb-devel
Samba tdb library.
This package contains the development files.

%package -n libwbclient
Group:         System/Libraries
Summary:       Samba wbclient library

%description -n libwbclient
Samba wbclient library.

%package -n libwbclient-devel
Group:         System/Libraries
Summary:       Development files for Samba tdb library
Requires:      libwbclient = %{?epoch:%epoch:}%{version}-%{release}

%description -n libwbclient-devel
Samba wbclient library.
This package contains the development files.

%package swat
Group:         Development/Libraries
Summary:       The samba web interface administration tool
Requires:      samba-server = %{?epoch:%epoch:}%{version}-%{release}

%description swat
Samba provides seamless file and print services to SMB/CIFS clients.
This is the samba web interface administration tool.

%package winbind
Group:         System/Servers
Summary:       Winbind Daemon and Tool
Requires:      samba = %{?epoch:%epoch:}%{version}-%{release}
Requires:      samba-server = %{?epoch:%epoch:}%{version}-%{release}

%description winbind
This package contains the winbind daemon and the wbinfo tool.

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
%patch 0 -p1
%patch 1 -p1

%build
#:<< _EOF

# skip icecc for configure
PATH=/usr/bin:$PATH \
./configure \
   --prefix=%{_prefix} \
   --sysconfdir=%{_sysconfdir} \
   --libdir=%{_libdir} \
   --datadir=%{_datadir} \
   --libexecdir=%{_libexecdir} \
   --localstatedir=%{_localstatedir} \
   --enable-fhs \
   --with-logfilebase=%{_localstatedir}/log/samba \
   --with-pammodulesdir=%{_libdir}/security \
   --with-piddir=/run/samba \
   --with-ads \
   --with-automount \
   --with-ldap \
   --with-winbind \
   --with-pam \
   --with-utmp \
   --with-sockets-dir=/run/samba \
   --with-privatedir=%{_sysconfdir}/samba/private \
   --with-systemd \
   --systemd-install-services \
   --with-systemddir=%{_unitdir} \
   --enable-cups \
   --private-libraries='!ldb' \
   --bundled-libraries=!tdb,!talloc,!pytalloc-util,!tevent,!popt,!pyldb-util \
   --systemd-nmb-extra "TimeoutStartSec=300" \
%ifarch arm
   --with-experimental-mit-ad-dc \
   --with-system-mitkrb5 \
%endif
   --python=%{__python3} \
   PYTHON=%{__python3}

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

install -d %{buildroot}/var/lib/samba/{netlogon,profiles,profdata,drivers}
install -d %{buildroot}/var/log/samba
install -d %{buildroot}/var/lock/samba/msg.lock
install -d %{buildroot}/var/spool/samba

install -d %{buildroot}%{_sysconfdir}/samba/private

install -D -m 0664 examples/smb.conf.default %{buildroot}%{_sysconfdir}/samba/smb.conf
sed -i "s|/usr/local/samba/var/log|/var/log/samba/log|;\
        s|/usr/local/samba/lib/|/var/lib/samba/|;\
        s|/usr/spool/samba|/var/spool/samba|;" \
   %{buildroot}%{_sysconfdir}/samba/smb.conf

install -D -m0644 packaging/systemd/samba.conf.tmp %{buildroot}%{_tmpfilesdir}/samba.conf
sed -i "s|/var/run/samba|/run/samba|" %{buildroot}%{_tmpfilesdir}/samba.conf

install -D -m 0644 examples/LDAP/samba.schema \
   %{buildroot}/etc/openldap/schema/samba.schema

install -d %{buildroot}%{_prefix}/lib/cups/backend
ln -s %{_bindir}/smbspool %{buildroot}%{_prefix}/lib/cups/backend/smb

install -D -m0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/samba.conf
install -D -m0644 %{SOURCE2} %{buildroot}%{_sysusersdir}/samba-server.conf

install -D -m0755 %{S:13} %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d/10_winbind

# cifs.upcall is installed in arm build; --without-cisupcall seems uneffective
rm -f %{buildroot}%{_sbindir}/cifs.upcall

install -D -m0644 examples/pam_winbind/pam_winbind.conf %{buildroot}%{_sysconfdir}/security/pam_winbind.conf

install -d %{buildroot}%{_presetdir}
cat > %{buildroot}%{_presetdir}/50-samba.preset << _EOF
enable nmb
enable smb
disable winbind
_EOF

# Usershares folder
mkdir %{buildroot}%{_localstatedir}/lib/samba/usershares

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%pre
%sysusers_create_package samba %{SOURCE1}
:

%preun server
%systemd_preun smb
%systemd_preun nmb
:

%pre server
%sysusers_create_package samba-server %{SOURCE2}
%tmpfiles_create samba.conf
:

%post server
if [ $1 -gt 1 ]; then
   # remove UTF-8 unix charset definition (leave default) to fix smb4k
   sed -i "/unix charset = LOCALE/d" %{_sysconfdir}/samba/smb.conf
   sed -i "/unix charset = UTF-8/d" %{_sysconfdir}/samba/smb.conf
fi
%systemd_post nmb
%systemd_post smb
:

%postun server
%systemd_postun_with_restart nmb
%systemd_postun_with_restart smb
:

%preun winbind
%systemd_preun winbind
:

%post winbind
if [ $1 -ge 1 ]; then
   # new install or update
   grep "^auth.*pam_winbind.so" %{_sysconfdir}/pam.d/system-auth >/dev/null || sed -i -e '/^auth.*pam_unix.so/a\
auth        sufficient    pam_winbind.so use_first_pass' %{_sysconfdir}/pam.d/system-auth
   grep "^account.*pam_winbind.so" %{_sysconfdir}/pam.d/system-auth >/dev/null || sed -i -e '/^account.*pam_unix/i\
account     sufficient    pam_winbind.so' %{_sysconfdir}/pam.d/system-auth
fi
%systemd_post winbind
:

%postun winbind
%systemd_postun_with_restart winbind
if [ $1 -eq 0 ]; then
   # remove package
   sed -i "/.*pam_winbind.so/d" %{_sysconfdir}/pam.d/system-auth
fi
:

%preun -n samba4-server
%systemd_preun samba
:

%post -n samba4-server
%systemd_post samba
:

%postun -n samba4-server
%systemd_postun_with_restart samba
:

%files
%defattr(-,root,root)
%config %dir %{_sysconfdir}/samba
%config %dir %{_sysconfdir}/samba/private
%attr(664,root,filesharing) %config(noreplace) %{_sysconfdir}/samba/smb.conf
%attr(644,root,root) %{_sysconfdir}/openldap/schema/samba.schema
%{_bindir}/dumpmscat
%{_bindir}/ldb*
%{_bindir}/mdsearch
%{_bindir}/mvxattr
%{_bindir}/net
%{_bindir}/nmblookup
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/rpcclient
%{_bindir}/samba-log-parser
%{_bindir}/samba-regedit
%{_bindir}/sharesec
%{_bindir}/smbcacls
%{_bindir}/smbclient
%{_bindir}/smbcontrol
%{_bindir}/smbcquotas
%{_bindir}/smbget
%{_bindir}/smbpasswd
%{_bindir}/smbspool
%{_bindir}/smbstatus
%{_bindir}/smbtar
%{_bindir}/smbtree
%{_bindir}/testparm
%{_bindir}/wspsearch
%{_sbindir}/eventlogadm
%{_sysusersdir}/samba.conf
%{_presetdir}/50-samba.preset
%dir %{_libdir}/samba
%dir %{_libdir}/samba/krb5
%{_libdir}/samba/krb5/*.so
%dir %{_libdir}/samba/idmap
%{_libdir}/samba/idmap/*.so
%{_libdir}/samba/vfs/*
%dir %{_datadir}/samba
%dir %{_datadir}/samba/admx
%{_datadir}/samba/admx/samba.admx
%{_datadir}/samba/admx/GNOME_Settings.admx
%dir %{_datadir}/samba/admx/en-US
%{_datadir}/samba/admx/en-US/*
%dir %{_datadir}/samba/admx/ru-RU
%{_datadir}/samba/admx/ru-RU/*
%dir %{_datadir}/samba/mdssvc
%{_datadir}/samba/mdssvc/elasticsearch_mappings.json
%dir %{_datadir}/samba/setup
%{_datadir}/samba/setup/*
%dir %{python3_sitearch}/samba
%{python3_sitearch}/samba/*
%dir /var/log/samba
%{_mandir}/man1/*
%exclude %{_mandir}/man1/wbinfo.*
%exclude %{_mandir}/man1/ntlm_auth.*
%doc COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libdcerpc*.so.*
%{_libdir}/libldb.so.*
%{_libdir}/libndr-krb5pac.so.*
%{_libdir}/libndr-nbt.so.*
%{_libdir}/libndr-standard.so.*
%{_libdir}/libndr.so.*
%{_libdir}/libsamba-*.so.*
%{_libdir}/libsamdb.so.*
%{_libdir}/libsmbconf.so.*
%{_libdir}/libsmbldap.so.*
%{_libdir}/libtevent-util.so.*
%{_libdir}/samba/lib*-samba.so
%ifarch arm
%{_libdir}/krb5/plugins/kdb/samba.so
%endif
%{_libexecdir}/samba/rpcd_*
%{_libexecdir}/samba/samba-bgqd
%{_libexecdir}/samba/samba-dcerpcd
%{python3_sitearch}/_ldb_text.py
%{python3_sitearch}/ldb.cpython-*.so

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/samba-4.0
%{_includedir}/samba-4.0/*
%exclude %{_includedir}/samba-4.0/libsmbclient.h
%exclude %{_includedir}/samba-4.0/netapi.h
%exclude %{_includedir}/samba-4.0/wbclient.h
%{_libdir}/libdcerpc-binding.so
%{_libdir}/libdcerpc*.so
%{_libdir}/libldb.so
%{_libdir}/libndr-krb5pac.so
%{_libdir}/libndr-nbt.so
%{_libdir}/libndr-standard.so
%{_libdir}/libndr.so
%{_libdir}/libsamba-*.so
%{_libdir}/libsamdb.so
%{_libdir}/libsmbconf.so
%{_libdir}/libsmbldap.so
%{_libdir}/libtevent-util.so
%{_libexecdir}/samba/smbspool_krb5_wrapper
%{_libdir}/pkgconfig/dcerpc*.pc
%{_libdir}/pkgconfig/ldb.pc
%{_libdir}/pkgconfig/ndr.pc
%{_libdir}/pkgconfig/ndr_krb5pac.pc
%{_libdir}/pkgconfig/ndr_nbt.pc
%{_libdir}/pkgconfig/ndr_standard.pc
%{_libdir}/pkgconfig/samba-*.pc
%{_libdir}/pkgconfig/samdb.pc
%{_mandir}/man3/ldb.3*

%files server
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/sysconfig/samba
%{_sbindir}/nmbd
%{_sbindir}/smbd
%{_prefix}/lib/cups/backend/smb
%dir %attr(1770,root,sambashares) %{_localstatedir}/lib/samba/usershares
%{_sysusersdir}/samba-server.conf
%{_tmpfilesdir}/samba.conf
%{_unitdir}/nmb.service
%{_unitdir}/smb.service
%{_libdir}/libnss_wins.so.2
%dir %attr(755,root,root) /var/lib/samba/netlogon
%dir %attr(2775,root,users) /var/lib/samba/profiles
%dir %attr(755,root,root) /var/lib/samba/profdata
%dir %attr(755,root,root) /var/lib/samba/drivers
%dir /var/cache/samba
%dir %attr(1777,root,root) /var/spool/samba
%dir %attr(755,root,root) /var/lock/samba
%dir %attr(755,root,root) /var/lock/samba/msg.lock
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_mandir}/man8/*
%exclude %{_mandir}/man8/winbindd.*

%files -n samba4-server
%defattr(-,root,root)
%{_bindir}/cifsdd
%{_bindir}/dbwrap_tool
%{_bindir}/gentest
%{_bindir}/locktest
%{_bindir}/masktest
%{_bindir}/ndrdump
%{_bindir}/oLschema2ldif
%{_bindir}/regdiff
%{_bindir}/regpatch
%{_bindir}/regshell
%{_bindir}/regtree
%{_bindir}/samba-tool
%{_bindir}/smbtorture
%{_sbindir}/samba
%{_sbindir}/samba_dnsupdate
%{_sbindir}/samba_downgrade_db
%{_sbindir}/samba_kcc
%{_sbindir}/samba-gpupdate
%{_sbindir}/samba_spnupdate
%{_sbindir}/samba_upgradedns
%{_unitdir}/samba.service
%{_unitdir}/samba-bgqd.service
%dir %{_libdir}/samba/bind9
%{_libdir}/samba/bind9/*.so
%dir %{_libdir}/samba/gensec
%{_libdir}/samba/gensec/*.so
%dir %{_libdir}/samba/ldb
%{_libdir}/samba/ldb/*.so
%dir %{_libdir}/samba/nss_info
%{_libdir}/samba/nss_info/*.so
%dir %{_libdir}/samba/process_model
%{_libdir}/samba/process_model/*.so
%dir %{_libdir}/samba/service
%{_libdir}/samba/service/*.so
%dir /var/cache/samba

%files -n libsmbclient
%defattr(-,root,root)
%{_libdir}/libsmbclient.so.*

%files -n libsmbclient-devel
%defattr(-,root,root)
%{_includedir}/samba-*/libsmbclient.h
%{_libdir}/libsmbclient.so
%{_libdir}/pkgconfig/smbclient.pc

%files -n libnetapi
%defattr(-,root,root)
%{_libdir}/libnetapi.so.*

%files -n libnetapi-devel
%defattr(-,root,root)
%{_includedir}/samba-*/netapi.h
%{_libdir}/libnetapi.so
%{_libdir}/pkgconfig/netapi.pc

%files -n libwbclient
%defattr(-,root,root)
%{_libdir}/libwbclient.so.*

%files -n libwbclient-devel
%defattr(-,root,root)
%{_includedir}/samba-*/wbclient.h
%{_libdir}/libwbclient.so
%{_libdir}/pkgconfig/wbclient.pc

%files winbind
%defattr(-,root,root)
%{_sysconfdir}/NetworkManager/dispatcher.d/10_winbind
%config(noreplace) %{_sysconfdir}/security/pam_winbind.conf
%{_bindir}/ntlm_auth
%{_bindir}/wbinfo
%{_sbindir}/winbindd
%{_libdir}/libnss_winbind.so.*
%{_libdir}/security/pam_winbind.so
%{_unitdir}/winbind.service
%{_mandir}/man1/ntlm_auth.*
%{_mandir}/man1/wbinfo.*
%{_mandir}/man8/winbindd.*

%changelog
* Wed Oct 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.21.1-2mamba
- fixed various problems in pre/post scripts

* Tue Oct 15 2024 Automatic Build System <autodist@openmamba.org> 4.21.1-1mamba
- automatic version update by autodist

* Sat Sep 21 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.21.0-3mamba
- samba-server.sysusers: create guest group to fix user creation

* Mon Sep 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.21.0-2mamba
- don't require python-ldb from obsolete ldb package

* Mon Sep 09 2024 Automatic Build System <autodist@openmamba.org> 4.21.0-1mamba
- automatic version update by autodist

* Tue Aug 06 2024 Automatic Build System <autodist@openmamba.org> 4.20.4-1mamba
- automatic version update by autodist

* Fri Aug 02 2024 Automatic Build System <autodist@openmamba.org> 4.20.3-1mamba
- automatic version update by autodist

* Thu Jun 20 2024 Automatic Build System <autodist@openmamba.org> 4.20.2-1mamba
- automatic version update by autodist

* Sun May 19 2024 Automatic Build System <autodist@openmamba.org> 4.20.1-1mamba
- automatic version update by autodist

* Sat Apr 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.20.0-2mamba
- rebuilt with system ldb 2.9.0

* Fri Mar 29 2024 Automatic Build System <autodist@openmamba.org> 4.20.0-1mamba
- automatic version update by autodist

* Fri Jan 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.19.4-2mamba
- enable support for user shares by default and add sambashares group as expected by kde plasma
- use systemd sysusers file to create groups and users

* Tue Jan 09 2024 Automatic Build System <autodist@openmamba.org> 4.19.4-1mamba
- automatic version update by autodist

* Tue Nov 28 2023 Automatic Build System <autodist@mambasoft.it> 4.19.3-1mamba
- automatic version update by autodist

* Tue Oct 17 2023 Automatic Build System <autodist@mambasoft.it> 4.19.2-1mamba
- automatic version update by autodist

* Wed Oct 11 2023 Automatic Build System <autodist@mambasoft.it> 4.19.1-1mamba
- automatic version update by autodist

* Sun Oct 01 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.19.0-2mamba
- rebuilt with python3 == 3.11

* Sat Sep 09 2023 Automatic Build System <autodist@mambasoft.it> 4.19.0-1mamba
- automatic version update by autodist

* Thu Aug 17 2023 Automatic Build System <autodist@mambasoft.it> 4.18.6-1mamba
- automatic version update by autodist

* Thu Jul 20 2023 Automatic Build System <autodist@mambasoft.it> 4.18.5-1mamba
- automatic version update by autodist

* Thu Jul 06 2023 Automatic Build System <autodist@mambasoft.it> 4.18.4-1mamba
- automatic version update by autodist

* Thu Jun 01 2023 Automatic Build System <autodist@mambasoft.it> 4.18.3-1mamba
- automatic version update by autodist

* Sat Apr 22 2023 Automatic Build System <autodist@mambasoft.it> 4.18.2-1mamba
- automatic version update by autodist

* Fri Mar 31 2023 Automatic Build System <autodist@mambasoft.it> 4.18.1-1mamba
- automatic version update by autodist

* Thu Mar 16 2023 Automatic Build System <autodist@mambasoft.it> 4.18.0-1mamba
- automatic version update by autodist

* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 4.17.4-1mamba
- automatic version update by autodist

* Wed Nov 16 2022 Automatic Build System <autodist@mambasoft.it> 4.17.3-1mamba
- automatic version update by autodist

* Tue Oct 25 2022 Automatic Build System <autodist@mambasoft.it> 4.17.2-1mamba
- automatic version update by autodist

* Thu Oct 20 2022 Automatic Build System <autodist@mambasoft.it> 4.17.1-1mamba
- automatic version update by autodist

* Wed Sep 14 2022 Automatic Build System <autodist@mambasoft.it> 4.17.0-1mamba
- automatic version update by autodist

* Thu Aug 04 2022 Automatic Build System <autodist@mambasoft.it> 4.16.4-1mamba
- automatic version update by autodist

* Tue Jul 19 2022 Automatic Build System <autodist@mambasoft.it> 4.16.3-1mamba
- automatic version update by autodist

* Wed Jun 15 2022 Automatic Build System <autodist@mambasoft.it> 4.16.2-1mamba
- automatic version update by autodist

* Mon May 16 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 4.16.1-2mamba
- restore installing /var/lib/samba empty folders

* Tue May 03 2022 Automatic Build System <autodist@mambasoft.it> 4.16.1-1mamba
- automatic version update by autodist

* Fri Mar 25 2022 Automatic Build System <autodist@mambasoft.it> 4.16.0-1mamba
- automatic version update by autodist

* Thu Jan 20 2022 Automatic Build System <autodist@mambasoft.it> 4.15.4-1mamba
- automatic version update by autodist

* Thu Dec 09 2021 Automatic Build System <autodist@mambasoft.it> 4.15.3-1mamba
- automatic version update by autodist

* Thu Nov 11 2021 Automatic Build System <autodist@mambasoft.it> 4.15.2-1mamba
- automatic version update by autodist

* Thu Oct 28 2021 Automatic Build System <autodist@mambasoft.it> 4.15.1-1mamba
- automatic version update by autodist

* Sat Oct 09 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.15.0-2mamba
- rebuilt with liblttng 2.13.0

* Fri Sep 24 2021 Automatic Build System <autodist@mambasoft.it> 4.15.0-1mamba
- automatic version update by autodist

* Wed Jul 14 2021 Automatic Build System <autodist@mambasoft.it> 4.14.6-1mamba
- automatic version update by autodist

* Wed Jun 02 2021 Automatic Build System <autodist@mambasoft.it> 4.14.5-1mamba
- automatic version update by autodist

* Sat May 01 2021 Automatic Build System <autodist@mambasoft.it> 4.14.4-1mamba
- automatic version update by autodist

* Fri Apr 23 2021 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Sat Mar 27 2021 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Wed Mar 10 2021 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Wed Jan 27 2021 Automatic Build System <autodist@mambasoft.it> 4.13.4-1mamba
- automatic version update by autodist

* Sat Dec 19 2020 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Wed Nov 04 2020 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Fri Oct 30 2020 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Wed Sep 30 2020 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Sat Sep 19 2020 Automatic Build System <autodist@mambasoft.it> 4.12.7-1mamba
- automatic version update by autodist

* Fri Aug 14 2020 Automatic Build System <autodist@mambasoft.it> 4.12.6-1mamba
- automatic version update by autodist

* Wed Jul 22 2020 Automatic Build System <autodist@mambasoft.it> 4.12.5-1mamba
- automatic version update by autodist

* Fri May 22 2020 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Mon May 04 2020 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Apr 07 2020 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Sat Mar 14 2020 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Wed Jan 29 2020 Automatic Build System <autodist@mambasoft.it> 4.11.6-1mamba
- automatic version update by autodist

* Tue Jan 21 2020 Automatic Build System <autodist@mambasoft.it> 4.11.5-1mamba
- automatic version update by autodist

* Fri Jan 03 2020 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Sat Aug 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.10.6-2mamba
- rebuilt with --systemd-nmb-extra TimeoutStartSec=300 to workaround nmb start at boot

* Sat Jul 13 2019 Automatic Build System <autodist@mambasoft.it> 4.10.6-1mamba
- automatic version update by autodist

* Thu May 23 2019 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Tue May 14 2019 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Mon Apr 15 2019 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Wed Feb 13 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.9.4-2mamba
- disable winbind by default; add idmap conf in default smb.conf to fix startup with winbind; fix systemd tmpfile /var/run path

* Sat Jan 12 2019 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Thu Sep 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.5-3mamba
- fix mistake in previous change for libldb check: apply to requirement, not only build-requirement

* Thu Sep 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.5-2mamba
- add epoch to libldb requirement

* Tue Sep 11 2018 Automatic Build System <autodist@mambasoft.it> 4.8.5-1mamba
- automatic version update by autodist

* Wed Aug 15 2018 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Fri Jul 20 2018 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist

* Mon Aug 14 2017 Automatic Build System <autodist@mambasoft.it> 4.6.7-1mamba
- automatic version update by autodist

* Fri Apr 14 2017 Automatic Build System <autodist@mambasoft.it> 4.5.8-1mamba
- automatic version update by autodist

* Fri Mar 31 2017 Automatic Build System <autodist@mambasoft.it> 4.5.7-1mamba
- automatic version update by autodist

* Sat Mar 18 2017 Automatic Build System <autodist@mambasoft.it> 4.5.6-1mamba
- automatic version update by autodist

* Thu Feb 09 2017 Automatic Build System <autodist@mambasoft.it> 4.5.4-1mamba
- automatic version update by autodist

* Fri Dec 23 2016 Automatic Build System <autodist@mambasoft.it> 4.5.3-1mamba
- automatic version update by autodist

* Wed Dec 07 2016 Automatic Build System <autodist@mambasoft.it> 4.5.2-1mamba
- automatic version update by autodist

* Wed Oct 26 2016 Automatic Build System <autodist@mambasoft.it> 4.5.1-1mamba
- automatic version update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 4.5.0-1mamba
- automatic version update by autodist

* Thu Jul 07 2016 Automatic Build System <autodist@mambasoft.it> 4.4.5-1mamba
- automatic version update by autodist

* Sun Jul 03 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.4-2mamba
- rebuilt by autoport with build requirements: libsystemd-devel>=230-1mamba

* Wed Jun 08 2016 Automatic Build System <autodist@mambasoft.it> 4.4.4-1mamba
- automatic version update by autodist

* Fri Jun 03 2016 Automatic Build System <autodist@mambasoft.it> 4.4.3-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.8-1mamba
- update to 4.3.8

* Tue Mar 08 2016 Automatic Build System <autodist@mambasoft.it> 4.3.6-1mamba
- automatic version update by autodist

* Mon Feb 29 2016 Automatic Build System <autodist@mambasoft.it> 4.3.5-1mamba
- automatic version update by autodist

* Sat Jan 16 2016 Automatic Build System <autodist@mambasoft.it> 4.3.4-1mamba
- automatic version update by autodist

* Fri Dec 18 2015 Automatic Build System <autodist@mambasoft.it> 4.3.3-1mamba
- automatic version update by autodist

* Thu Dec 03 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.2-2mamba
- move %{_libdir}/samba/lib*-samba4.so from -devel to libsamba

* Thu Dec 03 2015 Automatic Build System <autodist@mambasoft.it> 4.3.2-1mamba
- automatic version update by autodist

* Sat Nov 14 2015 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Tue Sep 15 2015 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Wed Jul 15 2015 Automatic Build System <autodist@mambasoft.it> 4.2.3-1mamba
- automatic version update by autodist

* Thu May 28 2015 Automatic Build System <autodist@mambasoft.it> 4.2.2-1mamba
- automatic version update by autodist

* Sun May 17 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-2mamba
- samba-server, samba-server4: provide directory /var/cache/samba

* Mon Apr 27 2015 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Thu Mar 12 2015 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Mon Feb 23 2015 Automatic Build System <autodist@mambasoft.it> 4.1.17-1mamba
- automatic version update by autodist

* Fri Jan 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.16-2mamba
- remove unix charset = UTF-8 if present in smb.conf to fix smb4k

* Fri Jan 16 2015 Automatic Build System <autodist@mambasoft.it> 4.1.16-1mamba
- automatic version update by autodist

* Mon Jan 12 2015 Automatic Build System <autodist@mambasoft.it> 4.1.15-1mamba
- automatic version update by autodist

* Sun Dec 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.14-6mamba
- fix some paths in default configuration file
- samba-server: require cups

* Fri Dec 19 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.14-5mamba
- patch to disable build with --as-needed to fix readline with termcap linking

* Wed Dec 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.14-4mamba
- rebuilt with export READLINE_TERMLIB=termcap to fix classic readline link problem

* Tue Dec 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.14-3mamba
- winbind: install required file /etc/security/pam_winbind.conf

* Mon Dec 08 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.14-2mamba
- rebuilt without bundled libraries

* Mon Dec 01 2014 Automatic Build System <autodist@mambasoft.it> 4.1.14-1mamba
- automatic version update by autodist

* Wed Nov 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.13-3mamba
- add nmb and smb tmpfiles.d file to create /run/samba
- x86_64: fix path of cups backend directory

* Sat Nov 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.13-2mamba
- support systemd (auto)configuration

* Tue Oct 21 2014 Automatic Build System <autodist@mambasoft.it> 4.1.13-1mamba
- automatic version update by autodist

* Thu Sep 18 2014 Automatic Build System <autodist@mambasoft.it> 4.1.12-1mamba
- automatic version update by autodist

* Fri Aug 01 2014 Automatic Build System <autodist@mambasoft.it> 4.1.11-1mamba
- automatic version update by autodist

* Mon Jul 28 2014 Automatic Build System <autodist@mambasoft.it> 4.1.10-1mamba
- automatic version update by autodist

* Mon Jun 23 2014 Automatic Build System <autodist@mambasoft.it> 4.1.9-1mamba
- automatic version update by autodist

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 4.1.8-1mamba
- automatic version update by autodist

* Mon Apr 21 2014 Automatic Build System <autodist@mambasoft.it> 4.1.7-1mamba
- automatic version update by autodist

* Wed Mar 12 2014 Automatic Build System <autodist@mambasoft.it> 4.1.6-1mamba
- automatic version update by autodist

* Fri Feb 21 2014 Automatic Build System <autodist@mambasoft.it> 4.1.5-1mamba
- automatic version update by autodist

* Fri Jan 10 2014 Automatic Build System <autodist@mambasoft.it> 4.1.4-1mamba
- automatic version update by autodist

* Mon Dec 09 2013 Automatic Build System <autodist@mambasoft.it> 4.1.3-1mamba
- automatic version update by autodist

* Fri Nov 22 2013 Automatic Build System <autodist@mambasoft.it> 4.1.2-1mamba
- automatic version update by autodist

* Mon Nov 11 2013 Automatic Build System <autodist@mambasoft.it> 4.1.1-1mamba
- automatic version update by autodist

* Sat Oct 12 2013 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Tue Aug 20 2013 Automatic Build System <autodist@mambasoft.it> 4.0.9-1mamba
- automatic version update by autodist

* Tue Aug 06 2013 Automatic Build System <autodist@mambasoft.it> 4.0.8-1mamba
- automatic version update by autodist

* Wed Jul 03 2013 Automatic Build System <autodist@mambasoft.it> 4.0.7-1mamba
- automatic version update by autodist

* Mon Jun 03 2013 Automatic Build System <autodist@mambasoft.it> 4.0.6-1mamba
- automatic version update by autodist

* Thu May 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.15-1mamba
- update to 3.6.15
- fix pidfile in winbind initscript for systemd
- added systemd service files

* Mon Oct 29 2012 Automatic Build System <autodist@mambasoft.it> 3.6.9-1mamba
- automatic version update by autodist

* Mon Oct 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.8-2mamba
- rebuild with pam 1.1.4 to supposingly fix pam_winbind

* Mon Sep 17 2012 Automatic Build System <autodist@mambasoft.it> 3.6.8-1mamba
- automatic version update by autodist

* Thu Sep 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.7-2mamba
- replace 'unix charset = LOCALE' with UTF-8 in smb.conf to fix an smbd fatal error on startup

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 3.6.7-1mamba
- automatic version update by autodist

* Tue Jun 26 2012 Automatic Build System <autodist@mambasoft.it> 3.6.6-1mamba
- automatic version update by autodist

* Mon Apr 30 2012 Automatic Build System <autodist@mambasoft.it> 3.6.5-1mamba
- automatic version update by autodist

* Fri Apr 13 2012 Automatic Build System <autodist@mambasoft.it> 3.6.4-1mamba
- automatic version update by autodist

* Fri Oct 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.11-2mamba
- removed --with-cifsmount and --with-cifsumount; added requirement for cifs-utils

* Thu Aug 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.11-1mamba
- update to 3.5.11

* Wed Jun 15 2011 Automatic Build System <autodist@mambasoft.it> 3.5.9-1mamba
- automatic version update by autodist

* Mon May 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.8-8mamba
- rebuilt with debug package
- winbind initscript: add missing new line in service reload output

* Sat Apr 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.8-7mamba
- replace try_first_pass with use_first_pass in pam authentication module configuration

* Thu Apr 14 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.8-6mamba
- winbind: configure to use NetworkManager to start the service

* Wed Apr 13 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.8-5mamba
- samba-winbind: configure for authentication with pam_winbind.so in pam.d/system-auth

* Tue Mar 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.8-4mamba
- set /var/lib/samba/profiles suid for group users

* Fri Mar 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.8-3mamba
- resume installation of libnss_winbind.so and libnss_wins.so
- remove installation of ld.so.conf.d as libraries are installed in system path now

* Tue Mar 22 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.8-2mamba
- add a patch to enable mount.cifs and umount.cifs to be run suided
- set mount.cifs and umount.cifs permission for only sysadmin user to be able to run it

* Mon Mar 07 2011 Automatic Build System <autodist@mambasoft.it> 3.5.8-1mamba
- automatic update by autodist

* Mon Feb 28 2011 Automatic Build System <autodist@mambasoft.it> 3.5.7-1mamba
- automatic version update by autodist

* Sat Feb 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.6-2mamba
- rebuilt with system libtalloc and libtdb

* Fri Oct 08 2010 Automatic Build System <autodist@mambasoft.it> 3.5.6-1mamba
- automatic update to 3.5.6 by autodist

* Tue Sep 14 2010 Automatic Build System <autodist@mambasoft.it> 3.5.5-1mamba
- automatic update to 3.5.5 by autodist

* Wed Jun 23 2010 Automatic Build System <autodist@mambasoft.it> 3.5.4-1mamba
- automatic update to 3.5.4 by autodist

* Sat May 22 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.3-2mamba
- sync with devel-ercolinux: rebuild with umount.cifs option

* Wed May 19 2010 Automatic Build System <autodist@mambasoft.it> 3.5.3-1mamba
- automatic update to 3.5.3 by autodist

* Wed Apr 07 2010 Automatic Build System <autodist@mambasoft.it> 3.5.2-1mamba
- automatic update to 3.5.2 by autodist

* Mon Mar 29 2010 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic update to 3.5.1 by autodist

* Fri Mar 12 2010 Automatic Build System <autodist@mambasoft.it> 3.5.0-1mamba
- automatic update to 3.5.0 by autodist

* Wed Feb 24 2010 Automatic Build System <autodist@mambasoft.it> 3.4.6-1mamba
- automatic update to 3.4.6 by autodist

* Tue Jan 19 2010 Automatic Build System <autodist@mambasoft.it> 3.4.5-1mamba
- automatic update to 3.4.5 by autodist

* Thu Jan 07 2010 Automatic Build System <autodist@mambasoft.it> 3.4.4-1mamba
- automatic update to 3.4.4 by autodist

* Thu Oct 29 2009 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic update to 3.4.3 by autodist

* Mon Oct 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.2-2mamba
- smb.conf: disable LDAP in favour of local user database scripts in default configuration
- pam.d/samba file updated

* Thu Oct 01 2009 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic update to 3.4.2 by autodist

* Wed Sep 09 2009 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic update to 3.4.1 by autodist

* Mon Jul 06 2009 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic update to 3.4.0 by autodist

* Wed Jun 24 2009 Automatic Build System <autodist@mambasoft.it> 3.3.6-1mamba
- automatic update to 3.3.6 by autodist

* Thu Jun 18 2009 Automatic Build System <autodist@mambasoft.it> 3.3.5-1mamba
- automatic update to 3.3.5 by autodist

* Wed Apr 29 2009 Automatic Build System <autodist@mambasoft.it> 3.3.4-1mamba
- automatic update to 3.3.4 by autodist

* Thu Apr 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.3-1mamba
- automatic update to 3.3.3 by autodist

* Fri Mar 13 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.2-1mamba
- automatic update to 3.3.2 by autodist

* Wed Mar 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.1-2mamba
- rebuilt against avahi-compat-libdns_sd instead of libzeroconf

* Sat Feb 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.1-1mamba
- automatic update to 3.3.1 by autodist

* Sun Feb 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.0-1mamba
- automatic update to 3.3.0 by autodist

* Mon Jan 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.7-1mamba
- automatic update to 3.2.7 by autodist

* Fri Dec 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.6-1mamba
- automatic update to 3.2.6 by autodist

* Thu Nov 27 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.5-1mamba
- automatic update to 3.2.5 by autodist

* Sat Oct 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.4-1mamba
- automatic update to 3.2.4 by autodist

* Wed Jun 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.30-1mamba
- update to 3.0.30
- removed support for smb-ldap scripts (changes upstream)

* Tue Apr 29 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.28a-1mamba
- update to 3.0.28a
- mount.cifs, umount.cifs: set suid bit to work as user (smb4k)

* Thu Nov 22 2007 Aleph0 <aleph0@openmamba.org> 3.0.27a-1mamba
- update to 3.0.27a: fix for CVE-2007-4572 and CVE-2007-5398

* Tue Oct 30 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.26a-4mamba
- samba-server: fix post script in chrooted environment (don't use hostname)
- samba-server: move exit 0 to the end of the post script

* Mon Oct 29 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.26a-3mamba
- enable service by default on install
- use 'service' to manage services in scripts
- removed requirement for ldap-tools

* Tue Sep 25 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.26a-2mamba
- samba pam file fix: use include instead of obsolete pam_stack module

* Tue Sep 11 2007 Aleph0 <aleph0@openmamba.org> 3.0.26a-1mamba
- update to 3.0.26a (fixes CVE-2007-4138)

* Tue Jun 05 2007 Aleph0 <aleph0@openmamba.org> 3.0.25a-1mamba
- update to 3.0.25a

* Mon May 14 2007 Aleph0 <aleph0@openmamba.org> 3.0.25-1mamba
- update to 3.0.25
- update winbind initscript
- fixes CVE-2007-2444, CVE-2007-2446, CVE-2007-2447
- update ldconfig cache when installing shared libraries
- new packages for libsmbsharemodes
- build python bindings

* Mon Apr 02 2007 Aleph0 <aleph0@openmamba.org> 3.0.24-4mamba
- desktop file for swap modified to match freedesktop standard

* Thu Mar 22 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.24-3qilnx
- set ldap-script as a PreReq

* Wed Mar 14 2007 Aleph0 <aleph0@openmamba.org> 3.0.24-2qilnx
- added a requirement for ldap-scripts

* Fri Feb 09 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.24-1qilnx
- update to version 3.0.24 by autospec
- samba: remove requirement for cups and libcups
- libsmbclient: remove requirement for samba

* Tue Oct 10 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.23-1qilnx
- update to version 3.0.23 by autospec
- removed patch against CAN-2006-3403 (merged upstream)
- minor fix in the winbind initscript
- new package %{name}-winbind

* Tue Jul 11 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.22-3qilnx
- security update: CAN-2006-1059 (qibug 198)

* Mon Jun 12 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.22-2qilnx
- specfile fixed
- samba-server requires qilinux-utils-common
- added french localization in the desktop file for swat

* Fri Mar 31 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.22-1qilnx
- update to version 3.0.22 by autospec

* Sun Mar 19 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.21c-1qilnx
- update to version 3.0.21c by autospec
- remove guest permissions in /var/lib
- set 1777 permission to /var/spool/samba

* Mon Jun 27 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.14a-4qilnx
- added mkhomedir.sh for automatic home dirs creation support

* Wed Jun 08 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.14a-3qilnx
- fixed idealx scripts

* Thu May 19 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.14a-2qilnx
- moved pam plugin to /lib/security dir

* Tue Apr 19 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.14a-1qilnx
- update to version 3.0.14a by autospec

* Tue Feb 15 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.11-2qilnx
- fixed a %%pre script error in case of new install
- removed %%post script ldap configuration (will be done in QiLinux server install2 phase)

* Tue Feb 15 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.11-1qilnx
- update to version 3.0.11 by autospec
- make scripts conditional checks for openldap presence

* Fri Dec 24 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.10-3qilnx
- rebuild with new libe2fs-devel, libkrb5-devel packages

* Sat Dec 18 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.10-2qilnx
- fixed samba.schema permissions
- moved some configuration files to main package from samba-server

* Thu Dec 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.10-1qilnx
- new version build
- added a check for use of `net getlocalsid` in script qilinux_smbldap_conf.sh
- use useradd and groupadd instead of useradd-ldap and groupadd-ldap to add initial user guest

* Thu Dec 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.9-2qilnx
- perform condrestart instead of rester of openldap servers on new install

* Wed Dec 01 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.9-1qilnx
- update to version 3.0.9 by autospec
- removed package samba-common (obsoleted by samba)

* Tue Nov 16 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.7-6qilnx
- security fix QSA-2004-056 (CAN-2004-0882, CAN-2004-0930)

* Thu Oct 28 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.7-5qilnx
- removed libdb.so dependency

* Mon Oct 25 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.7-4qilnx
- added default separator "/" for winbind DOMAIN/USER
- disabled domain logons/domain master/local master options by default

* Mon Oct 25 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.7-3qilnx
- fixes for winbind: add libnss_winbind, libnss_wins and pam_winbind

* Tue Sep 28 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.7-2qilnx
- fixes to qilinux_smbldap_conf.sh 
- execution of qilinux_smbldap_conf.sh on upgrade should fix QiLinux 1.1 installation

* Wed Sep 15 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.7-1qilnx
- new version build
- security fixes: CAN-2004-0807, CAN-2004-0808

* Fri Sep 03 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.5-1qilnx
- update to version 3.0.5 to fix security problems (CAN-2004-0600,
  CAN-2004-0686)

* Wed Jul 14 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-7qilnx
- default configuration changed with PDC settings
- added default /etc/samba/smbusers for Administrator account

* Mon Jul 12 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-6qilnx
- fixed a couple of default smb.conf typos

* Mon Jul 12 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-5qilnx
- fixed guest user and group creation (use appropriate uid and gid)

* Fri Jul 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-4qilnx
- create guest user in ldap database

* Thu Jul 08 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-3qilnx
- added QiLinux LDAP populating script
- changed guest account from 'nobody' to 'guest'
- winbind initscript added

* Mon Jul 05 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-2qilnx
- added LDAP scripts install and related smb.conf configuration

* Sun May 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-1qilnx
- new version build

* Fri May 07 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.3-4qilnx
- smbumount installed setuid root

* Wed May 05 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.3-3qilnx
- smbmnt installed setuid root

* Wed May 05 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.3-2qilnx
- added smbmount, now mount.smbfs is a symlink to smbmount

* Wed May 05 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.3-1qilnx
- new version build

* Wed Mar 17 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2a-3qilnx
- added KDE menu entry for swat

* Thu Feb 26 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2a-2qilnx
- removed obsolete /var/cache/samba directory (replaced by /var/lib/samba)
- changed /var/lib/samba permissions from 1777 to 0755

* Wed Feb 25 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2a-1qilnx
- new version build

* Mon Feb 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-1qilnx
- new version build

* Mon Dec 22 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.1-2qilnx
- changed owner of /var/spool/samba and /var/lib/samba/* to nodoby.nobody

* Tue Dec 16 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.1-1qilnx
- new version rebuild

* Fri Dec 12 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.1rc2-1qilnx
- new version rebuild
- fixed %%post/%%pre scripts

* Fri Dec 05 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.1rc1-1qilnx
- new version rebuild

* Mon Dec 01 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.1pre3-1qilnx
- new major version rebuild

* Fri Nov 28 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.8a-7qilnx
- rebuilt with libsmbclient support
- added default lmhosts file

* Wed Oct 08 2003 Davide Madrisan <davide.madrisan@qilinux.it> 2.2.8a-6qilnx
- new policies for chkconfig and automatic start/restart of the samba service
- added the `--with-libsmbclient', and `--with-acl-support' configure options
- added `exit 0' after `xinetd reload'

* Tue Sep 02 2003 Davide Madrisan <davide.madrisan@qinet.it> 2.2.8a-5qilnx
- default smb.conf file modified: [homes] added, [home] removed

* Mon Jul 28 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.2.8a-4qilnx
- rebuilt with pam and ldap support
- added samba ldap schema configuration

* Mon Jun 23 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.2.8a-3qilnx
- added new-style %%post and other scripts

* Tue May 27 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.2.8a-2qilnx
- added server configuration files and dirs

* Wed May 21 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.2.8a-1qilnx
- first build
